<%method h1>
Your equipment
</%method>
<& control.mason, %ARGS &>
% if (@mybox) {
<p>Listed below is all the equipment hosted by the University
Computing Service's co-location service over which you have sysadmin
rights.</p>
<& boxtable.mason, box => \@mybox &>
% } else {
<p>You don't appear to have sysadmin rights over any equipment hosted
by the University Computing Service's co-location service.</p>
% }

<%args>
$user => undef
</%args>
%
<%once>
use Ucam::Infra::Box;
</%once>
%
<%init>
my @mybox;

foreach my $box (sort Ucam::Infra::Box->retrieve_all) {
    if ($box->sysadmin_is($user || $r->user)) {
        push @mybox, $box;
    }
}
</%init>
